/* 
 * University of Leipzig: world.h, v0.1b  21.9.97 22:58 
 * 
 * 
 * Copyright 1997 by University of Leipzig
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the U.L. not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The U.L. makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@aix520.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */




#ifndef WORLD_H
#define WORLD_H

// #include "floatsize.h"
#include "trigonom.h"


class t_world {
public:
  t_vector max,min,size,center;                               
  char grow;
  unsigned long steps;

  void Update(t_vector &);
  void Expand(t_vector &);
  void Shift(t_vector &);
  void WrapMove(t_vector &);	
  void Init(void);
  void Draw(void);

private:
  void NewSize();	
};  
               
               
               
#endif               







/**/
/**/
/**/
/**/
/**/
/**/
/**/
/**/
/*****  End Of File  ****************************/
